Subject: Re: bug#14901: Trunk bootstrap broken

From: Angelo Graziosi <[email-masked]>
Date: Fri, 19 Jul 2013 11:54:00 +0200

Il 19/07/2013 1.17, Juanma Barranquero ha scritto:
>> After Paul's changes, rev. 113451 bootstraps... Thanks.
>
> Yes, I just saw. Wonderful.
>
> But in ay case, could you please test that it works by changing WINDOWSNT
> to HAVE_NTGUI in that #ifdef? I think it's the right test anyway.
>

Do you mean this patch?

--- work/emacs/src/keyboard.c~	2013-07-18 23:32:06.000000000 +0200
+++ work/emacs/src/keyboard.c	2013-07-19 11:32:26.125000000 +0200
@@ -4068,7 +4068,7 @@
          {
  #if defined HAVE_X11 || defined HAVE_NS
  # define DISPLAY_LIST_INFO(di) (di)
-#elif defined WINDOWSNT
+#elif defined HAVE_NTGUI
  # define DISPLAY_LIST_INFO(di) FRAME_X_DISPLAY_INFO (di)
  #endif
  #ifdef DISPLAY_LIST_INFO

It works.. or at least it passes the critical point (I haven't completed 
the build,, here it take > 30 min.)

Ciao,
  Angelo.